package com.dxhy.oss.service;

import com.dxhy.oss.model.FileModel;

/**
 * @author jiaohongyang
 */
public interface AliOssService {
    /**
     * 阿里云OSS文件存储
     *
     * @param file 文件
     * @return 返回
     */
    FileModel uploadFile(String fileName, String file);

    /**
     * 下载
     *
     * @param fileName 文件名称
     * @param filePath 本地文件存储地址
     * @return 返回
     */
    FileModel downloadFile(String fileName, String filePath);

    /**
     * 删除文件
     *
     * @param file 文件名
     * @return 返回
     */
    FileModel deleteFile(String file);

    /**
     * 生产文件下载地址
     *
     * @param key 文件传输路径加名称
     * @return 返回下载地址
     */
    FileModel getUrl(String key);
}
